PHP: Hypertext Preprocessor, otherwise known as PHP, is a popular scripting language, which can be used to build dynamic sites with interactive elements such as Internet forums, e-teaching portals or social networking sites. In contrast with static HTML-based websites, a PHP-powered site can show unique web content to each visitor under the same URL. Given the fact that PHP-based apps can be managed through one Control Panel, which you can log on to using any online browser, you will not need to possess any coding knowledge or past experience in order to maintain a PHP-driven site. The fact that hundreds of millions of websites around the globe are based on PHP is indicative of the language’s popularity and ease of use. You only need to confirm if the server on which your site is hosted supports the same exact PHP version as the one that you used whilst building the website.

PHP 4 and PHP 5 Support in Cloud Hosting

With our cloud hosting services, you will be able to choose the PHP version that will be active for your account, as we support different versions. With as little as one click of the mouse, you will be able to switch between PHP 4, 5.2, 5.3, 5.4 and 5.5 and each time a new version is unveiled in the future, we will add it to the Hepsia hosting Control Panel without removing the earlier versions. In this way, you’ll be able to host all the sites that you have developed over the years. In contrast to lots of other hosting vendors, we will not compel you to update such sites, because a script may be out of date, but this doesn’t necessarily mean that it is vulnerable since you may have carried out modifications to its source code to repair security loopholes. For the sake of your convenience, you’ll even be able to select a different PHP version for each site hosted in your shared account.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

Even in case your websites were created with an earlier version of PHP, you will be able to host them in a semi-dedicated server account from us, since we support different versions running at the same time on our servers and each one of them can be enabled for your account with no more than a click of the mouse through our custom-developed Hepsia Control Panel. Aside from the latest PHP 5.5 and PHP 5.4, we also support 5.2, 5.3 and the older PHP 4, which has already been dropped by the majority of web hosts, but we think that you shouldn’t be compelled to modify a site that took several years to create, since older script language syntax doesn’t inevitably mean safety flaws. On the contrary, a correctly maintained site using PHP 4 can be more reliable than a negligently maintained one using PHP 5. For the sake of your convenience, we’ll also give you the possibility to pick a different PHP version for each site within the account.